function learn(trainingAlgorithm)

global trainingSet trainingLabels
global meanMatrix meanStdDev meanAbsDev covMat clusterCenters clusterSizes nets svmArray fuzzyIndeces

meanMatrix = zeros(51,31);
meanAbsDev = zeros(51,31);
meanStdDev = zeros(51,31);
covMat = [];
nets = {};
svmArray = {};

fuzzyIndeces = zeros(51,31);

load bounds.txt


for currentUserNumber =1:size(unique(trainingLabels), 1)

    currentUserData = trainingSet(find(trainingLabels == currentUserNumber), : );
    otherUserData = trainingSet(find(trainingLabels ~= currentUserNumber), : );
    currentUserMean = mean(currentUserData);  
    currentUserStd = std(currentUserData);

    
    meanMatrix(currentUserNumber,:) =  currentUserMean;
    meanStdDev(currentUserNumber,:) =  currentUserStd;
    

        trainingData = [currentUserData; otherUserData];
        posLabels = ones(size(currentUserData,1), 1);
        negLabels = (-1) * ones(size(otherUserData,1), 1);
        allLabels = [posLabels; negLabels];
        
        net = newff(trainingData', allLabels', [31 20], {'logsig' 'purelin'}, trainingAlgorithm);  %% trainln
        
        net.trainParam.epochs = 50;
        net.trainParam.goal = 0.01;
        net.trainParam.lr = 0.01;        
        net = init(net);
        net.trainParam.showWindow = false;
        net = train(net, trainingData', allLabels');
        nets{currentUserNumber} = net;    
   
          

end
    
   
function filteredVector = filterVector(input, meanValue, stdDev)
        filteredVector = input(abs(input(:) - meanValue) <= 3 * stdDev);
       